package com.palmnest.dao.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.AppNoticeModel;
import com.palmnest.model.notice.AppNoticeRecordModel;

import java.util.List;
import java.util.Map;

public interface AppNoticeRecordDao extends GenericDao<AppNoticeRecordModel, Integer> {
    public Page getRecordList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

    public List<Map<String, Object>> recordFind(Map<String, Object> params,Integer type);

    public void  updateRecord(Map<String, Object> params);

    public void  deleteRecord(Integer id);

    public void insertRecord(List<Map<String, Object>> maps,Integer nId,Integer publicObj);
    
    public Integer getRecordCount(Integer id);
    
    public List<AppNoticeRecordModel> findByPublicObj(Integer id,Integer publicObj,Integer userId);
}
